Bug 858586 - perl-JSON-Path-0.205 is available
perl-JSON-Path-0.205 is available
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: perl-JSON-Path (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Emmanuel Seyman
Fedora Extras Quality Assurance
: FutureFeature, Triaged
Depends On: 1139009
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-19 03:47 EDT by Upstream Release Monitoring
Modified: 2014-09-13 21:07 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-09-13 21:07:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Upstream Release Monitoring 2012-09-19 03:47:44 EDT
Latest upstream release: 0.201
Current version in Fedora Rawhide: 0.101
URL: http://search.cpan.org/dist/JSON-Path/

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at:
https://fedoraproject.org/wiki/Upstream_release_monitoring
Comment 1 Mathieu Bridon 2012-10-03 23:45:55 EDT
If anybody is interested...

I tried having a look at building this, but there are "a couple" of issues:
- the update of JSON::Path has a build requirement on Module::Package::RDF which is not in Fedora
- Module::Package::RDF has a build requirement on itself
- Module::Package::RDF has a build requirement on Module::Install::DOAP which is not in Fedora
- Module::Install::DOAP has a build requirement on Module::Package::RDF
(see where this is going?)

They all have many other build requirements on stuff that isn't in Fedora, like RDF::Trine.

Pierre-Yves had started looking at RDF::Trine some time ago, and it itself required quite a bunch of packages not in Fedora:
https://github.com/pypingou/perlrdf-spec

I don't have any time right now to package all that stuff I don't really care about, just so I can update JSON::Path.

I'll come to it eventually, but not soon.

So if someone wants to have fun packaging many Perl modules, please do. :)
Comment 2 Upstream Release Monitoring 2012-10-13 07:22:34 EDT
Latest upstream release: 0.203
Current version in Fedora Rawhide: 0.101
URL: http://search.cpan.org/dist/JSON-Path/

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at:
https://fedoraproject.org/wiki/Upstream_release_monitoring
Comment 3 Upstream Release Monitoring 2013-02-14 05:48:34 EST
Latest upstream release: 0.204
Current version in Fedora Rawhide: 0.101
URL: http://search.cpan.org/dist/JSON-Path/

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at:
https://fedoraproject.org/wiki/Upstream_release_monitoring
Comment 4 Upstream Release Monitoring 2013-11-03 05:16:26 EST
Latest upstream release: 0.205
Current version/release in Fedora Rawhide: 0.101-7.fc20
URL: http://search.cpan.org/dist/JSON-Path/

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at:
https://fedoraproject.org/wiki/Upstream_release_monitoring
Comment 5 Fedora Admin XMLRPC Client 2014-08-28 10:04:55 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 6 Emmanuel Seyman 2014-09-07 08:40:01 EDT
Looking at recent versions of JSON::Path, it appears the requirements have been dialed back in the 0.2xx versions. JSON::Path now depends on LV which depends on the Sentinel module. I've packaged both modules and submitted them.
Comment 7 Emmanuel Seyman 2014-09-13 21:07:20 EDT
Updated today in Rawhide.

Note You need to log in before you can comment on or make changes to this bug.